내보내기(0) 인쇄
모두 확장

방법: 응용 프로그램 구성 파일을 사용한 대상 .NET Framework 버전 지정

업데이트: 2007년 11월

응용 프로그램 구성 파일을 사용하여 응용 프로그램이나 구성 요소가 지원하는 .NET Framework 버전을 지정할 수 있습니다. 응용 프로그램 구성 파일에서 <supportedRuntime> 요소 또는 <requiredRuntime> 요소를 사용하는 경우에는 지원되는 각 .NET Framework 버전의 버전 및 빌드 번호를 지정해야 합니다.

응용 프로그램이 실행되는 .NET Framework 버전은 다음과 같이 결정됩니다.

  • 응용 프로그램을 빌드한 .NET Framework 버전이 컴퓨터에 있으면 응용 프로그램이 해당 버전에서 실행됩니다.

  • 응용 프로그램을 빌드한 .NET Framework 버전이 컴퓨터에 없고 구성 파일이 <supportedRuntime> 요소의 버전을 지정하지 않으면 응용 프로그램이 컴퓨터에 있는 최신 .NET Framework 버전에서 실행됩니다.

  • 응용 프로그램을 빌드한 .NET Framework 버전이 컴퓨터에 없고 구성 파일이 <supportedRuntime> 요소의 버전을 지정하면 응용 프로그램이 응용 프로그램 구성 파일에 지정되고 컴퓨터에 있는 최신 버전에서 실행됩니다.

참고:

응용 프로그램 구성 파일은 응용 프로그램과 이름이 같고 확장명은 .config여야 합니다. 예를 들어, MyExecutable.exe라는 응용 프로그램의 응용 프로그램 구성 파일 이름은 MyExecutable.exe.config여야 합니다.

응용 프로그램이 만들어진 버전 또는 그 이상의 버전에서 응용 프로그램을 실행하도록 구성할 수 있습니다. 예를 들어, .NET Framework 버전 1.0에서 만든 응용 프로그램을 버전 1.0, 1.1, 2.0 또는 이 세 가지 버전 모두에서 실행되도록 지정할 수 있습니다. .NET Framework 버전 2.0에서 만든 응용 프로그램은 버전 2.0에서만 실행되도록 지정할 수 있습니다.

이 단원에 제시된 응용 프로그램 구성 파일 항목을 사용하면 다음과 같은 경우에 .NET Framework 1.0으로 빌드된 응용 프로그램이 .NET Framework 버전 1.1을 사용하게 됩니다.

  • .NET Framework 버전 1.1이 설치된 경우

  • .NET Framework 버전 1.0과 .NET Framework 버전 1.1이 모두 설치된 경우

버전 1.0만 설치한 경우 버전 1.0에서는 <supportedRuntime> 요소가 인식되지 않으므로 응용 프로그램이 실행되며 응용 프로그램에서는 버전 1.0을 가리키는 PE 파일 헤더의 버전을 사용합니다.

다음 그림에서 MyApp와 어셈블리 A는 .NET Framework 버전 1.0에 대한 정적 참조를 포함하지만 어셈블리 B는 .NET Framework 버전 1.1에 대한 정적 참조를 포함합니다. 이 예제에서 MyApp에는 응용 프로그램이 버전 1.1을 지원함을 나타내는 응용 프로그램 구성 파일이 있으므로 해당 응용 프로그램과 어셈블리 A는 .NET Framework 버전 1.1을 사용하도록 리디렉션됩니다.

어셈블리 바인딩을 버전 1.1로 리디렉션하는 응용 프로그램 구성 파일

MyApp 예제, 어셈블리 A 및 어셈블리 B 포함

.NET Framework 버전 1.0을 사용하여 빌드한 응용 프로그램을 .NET Framework 버전 1.1에서 실행되도록 지정하려면

  • 응용 프로그램 구성 파일에 다음 XML을 입력합니다.

    <?xml version ="1.0"?>
    <configuration>
      <startup>
        <supportedRuntime version="v1.1.4322" /> 
      </startup>
    </configuration> 
    

커뮤니티 추가 항목

추가
표시:
© 2015 Microsoft